import { axios } from '@/util/axios/request'
// 数据展示接口
const baseURI = '/data-show'

// 用车统计
export function getUsageAmount(data) {
  return axios({
    url: `${baseURI}/usage-amount`,
    method: 'post',
    data
  })
}
// 基础数据
export function getBasicData(communityId) {
  return axios({
    url: `${baseURI}/basic-statistics/${communityId}`,
    method: 'get',
  })
}
// 可选单位
export function getSelectableCommunities() {
  return axios({
    url: `${baseURI}/selectable-communities`,
    method: 'get'
  })
}
// 费用统计
export function getCostData(data) {
  return axios({
    url: `${baseURI}/cost-data`,
    method: 'post',
    data
  })
}
// 加油统计 
export function getFuelData(data) {
  return axios({
    url: `${baseURI}/fuel-data`,
    method: 'post',
    data
  })
}
// 车辆使用寿命统计
export function getCarYears(data) {
  return axios({
    url: `${baseURI}/used-years`,
    method: 'post',
    data
  })
}