import { axios } from '@/util/axios/request'

const api = {
  baseUrl: '/workflow'
};

export function getProcdefPage(parameter) {
  return axios({
    url: api.baseUrl + '/page',
    method: 'post',
    data: parameter,
    useFullLoading: true
  })
}


export function getTaskFormDetail(id) {
  return axios({
    url: api.baseUrl + '/task/form/detail/' + id,
    method: 'get',
    useFullLoading: true
  })
}


export function save(id,strategy) {
  return axios({
    url: api.baseUrl + '/id/' + id + '/strategy/' + strategy,
    method: 'get',
    useFullLoading: true
  })
}


export function getTaskOutFormDetail(processId, flowOutId) {
  return axios({
    url: api.baseUrl + '/task/form/detail/' + processId + '/' + flowOutId,
    method: 'get',
    useFullLoading: true
  })
}

export function saveTaskOutForm(processId, flowOutId, parameter) {
  return axios({
    url: api.baseUrl + '/task/form/detail/' + processId + '/' + flowOutId,
    method: 'post',
    data: parameter,
    useFullLoading: true
  })
}

export function getTaskAuditRule(processId, taskDefId) {
  return axios({
    url: api.baseUrl + '/task/audit/rule/' + processId + '/' + taskDefId,
    method: 'get',
    useFullLoading: true
  })
}


export function getTaskAuditRuleCommunity(communityId, taskId) {
  return axios({
    url: api.baseUrl + '/task/audit/rule/community/' + communityId + '/' + taskId,
    method: 'get',
    useFullLoading: true
  })
}

export function saveTaskAuditRuleCommunity(communityId, taskId, parameter) {
  return axios({
    url: api.baseUrl + '/task/audit/rule/community/' + communityId + '/' + taskId,
    method: 'post',
    data: parameter,
    useFullLoading: true
  })
}

export function getTaskRemindRuleCommunity(communityId, taskId) {
  return axios({
    url: api.baseUrl + '/task/remind/rule/community/' + communityId + '/' + taskId,
    method: 'get',
    useFullLoading: true
  })
}

export function saveTaskRemindRuleCommunity(communityId, taskId, parameter) {
  return axios({
    url: api.baseUrl + '/task/remind/rule/community/' + communityId + '/' + taskId,
    method: 'post',
    data: parameter,
    useFullLoading: true
  })
}

export function getTaskProperty(processId, taskDefId) {
  return axios({
    url: api.baseUrl + '/task/property/' + processId + '/' + taskDefId,
    method: 'get',
    useFullLoading: true
  })
}

export function saveTaskProperty(parameter) {
  return axios({
    url: api.baseUrl + '/task/property',
    method: 'post',
    data: parameter,
    useFullLoading: true
  })
}

export function remark(procId, parameter) {
  return axios({
    url: api.baseUrl + '/remark/' + procId,
    method: 'post',
    data: parameter,
    useFullLoading: true
  })
}

export function getUserByRoleId(roleId) {
  return axios({
    url: api.baseUrl + '/role/' + roleId + '/user',
    method: 'get',
    useFullLoading: true
  })
}

export function getContentList(businessType) {
  return axios({
    url: api.baseUrl + '/list/' + businessType,
    method: 'get',
    useFullLoading: true
  })
}

export function getTaskTree(businessTypeId) {
  return axios({
    url: api.baseUrl + '/task/tree/' + businessTypeId,
    method: 'get',
    useFullLoading: true
  })
}

export function getTaskListByParent(procDefId) {
  return axios({
    url: api.baseUrl + '/task/list/' + procDefId,
    method: 'get',
    useFullLoading: true
  })
}

export function getProcVersion(businessTypeId) {
  return axios({
    url: api.baseUrl + '/proc/version/list/' + businessTypeId,
    method: 'get',
    useFullLoading: true
  })
}

export function getProcRole(businessTypeId,procDefId) {
  return axios({
    url: api.baseUrl + '/proc/role/list/' + businessTypeId + '/' +procDefId,
    method: 'get',
    useFullLoading: true
  })
}